const dvui = @import("dvui");

pub fn key(bind: []const u8) ?*dvui.Event {
    for (dvui.events()) |*e| {
        if (e.evt == .key) {
            if (e.evt.key.matchBind(bind)) {
                return e;
            }
        }
    }
    return null;
}
pub fn keyDown(bind: []const u8) bool {
    return if (key(bind)) |e| e.evt.key.action == .down else false;
}
pub fn keyPress(bind: []const u8) bool {
    return if (key(bind)) |e| (e.evt.key.action == .down or e.evt.key.action == .repeat) else false;
}
pub fn keyUp(bind: []const u8) bool {
    return if (key(bind)) |e| e.evt.key.action == .up else false;
}

pub fn mouse(action: dvui.Event.Mouse.Action, button: dvui.enums.Button) ?*dvui.Event {
    for (dvui.events()) |*e| {
        if (e.evt == .mouse and e.evt.mouse.action == action and e.evt.mouse.button == button) {
            return e;
        }
    }
    return null;
}
